View Issue Details

IDProjectCategoryView StatusLast Update
0002447Composrcore_notificationspublic2019-07-30 22:57
ReporterChris GrahamAssigned ToChris Graham 
Severityfeature 
Status resolvedResolutionfixed 
Product Version 
Fixed in Version 
Summary0002447: Bulk set notifications for users / defaults
DescriptionThe ability to go into an admin screen for setting up notifications. All checkboxes would be in an intermediate state (neither off or on). Anything you set would become the new settings for all users.

Additionally, these settings would become the *defaults* for all new users. Currently the defaults are hard-coded, so this is a great way to fix that without introducing around 100 new config options. This could work by saving these settings under the guest user account (those aren't going to be used for anything real), then new users would get them copied from that guest account.
TagsNo tags attached.
Attach Tags
Time estimation (hours)8
Sponsorship open

Relationships

has duplicate 0003164 closedChris Graham Default notification settings for new members joining 

Activities

Chris Graham

2018-12-04 16:11

administrator   ~0005886

See https://compo.sr/forum/topicview/browse/deploying/enable-forum-topic.htm?post_id=5330&topic_id=1214&timestamp=1543939416&redirected=1#post_5330

Chris Graham

2019-07-30 22:57

administrator   ~0006061

I've implemented support for setting defaults for new members.

I haven't implemented support for mass-resetting for existing users, because I think that's questionable, and definitely less important. For example, what if a user has a more sophisticated setting already? What if there's a GDPR concern about opting people into things? What if you want to do it for only certain usergroups? I think this is something left out of the core product, people can do what they need with custom scripts in the rare case they need it.

I also haven't implemented support for setting defaults for individual categories (e.g. a particular news category), just the main notification types.

Issue History

Date Modified Username Field Change
2016-04-21 19:13 Chris Graham New Issue
2016-04-21 19:14 Chris Graham Description Updated View Revisions
2016-10-10 22:59 Chris Graham Summary Bulk set notifications for users => Bulk set notifications for users / defaults
2017-03-27 10:02 Chris Graham Relationship added has duplicate 0003164
2018-12-04 16:11 Chris Graham Note Added: 0005886
2019-06-27 19:02 Chris Graham Tag Attached: Roadmap: v11
2019-07-30 22:54 Chris Graham Tag Detached: Roadmap: v11
2019-07-30 22:57 Chris Graham Note Added: 0006061
2019-07-30 22:57 Chris Graham Assigned To => Chris Graham
2019-07-30 22:57 Chris Graham Status non-assigned => resolved
2019-07-30 22:57 Chris Graham Resolution open => fixed